Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.logging
Class LoggingUtils

    java.lang.Object
      fr.gouv.culture.sdx.utils.logging.LoggingUtils

public class LoggingUtils
extends java.lang.Object

Created by IntelliJ IDEA. User: rpandey Date: 19 mars 2004 Time: 18:07:09 To change this template use Options | File Templates.

Constructor Summary
`LoggingUtils()`

Method Summary
`static void` | `logDebug(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Exception e)` Verifies the super.getLog() and logs a message
`static void` | `logError(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Throwable e)` Verifies the super.getLog() and logs a message
`static void` | `logException(org.apache.avalon.framework.logger.Logger logger, java.lang.Exception e)` Verifies the super.getLog() and logs an exception
`static void` | `logInfo(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)` Verifies the super.getLog() and logs a message
`static void` | `logWarn(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Exception e)` Verifies the super.getLog() and logs a message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingUtils

    public LoggingUtils()

Method Detail

### logInfo

    public static void logInfo(org.apache.avalon.framework.logger.Logger logger,
                               java.lang.String s)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message

### logDebug

    public static void logDebug(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s,
                                java.lang.Exception e)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logError

    public static void logError(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s,
                                java.lang.Throwable e)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logWarn

    public static void logWarn(org.apache.avalon.framework.logger.Logger logger,
                               java.lang.String s,
                               java.lang.Exception e)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logException

    public static void logException(org.apache.avalon.framework.logger.Logger logger,
                                    java.lang.Exception e)

  Verifies the super.getLog() and logs an exception

  Parameters:
    `logger` - The super.getLog()
    `e` - The exception (maybe null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.